curl --request POST \
--url https://api.utage-system.com/v1/members/{site_id}/courses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"system_name": "<string>",
"type": "normal",
"url": "<string>",
"href_type": "blank",
"image_url": "<string>",
"button_text": "<string>",
"is_hide_progress": false,
"is_video_autoplay_setting": true,
"comment_setting_type": "individual",
"is_published": false,
"category_ids": [
"<string>"
],
"require_login": true,
"show_non_purchaser": false,
"url_for_non_purchaser": "<string>",
"use_limited_offer": false,
"limited_offers": [
{
"day": 4999,
"hour": 11,
"url": "<string>",
"type": "bundle_enrolled_date",
"bundle_id": "<string>"
}
],
"has_target_persons": false,
"target_persons_date_from": "<string>",
"target_persons_date_to": "<string>",
"course_style": "open_all",
"release_type": "immediately",
"release_day": 4999,
"release_month": 4999,
"release_date": "<string>",
"release_hour": 11,
"action_before_release": "show",
"close_type": "none",
"close_day": 4999,
"close_date": "<string>",
"close_hour": 11,
"cancel_type": "close"
}
'import requests
url = "https://api.utage-system.com/v1/members/{site_id}/courses"
payload = {
"name": "<string>",
"system_name": "<string>",
"type": "normal",
"url": "<string>",
"href_type": "blank",
"image_url": "<string>",
"button_text": "<string>",
"is_hide_progress": False,
"is_video_autoplay_setting": True,
"comment_setting_type": "individual",
"is_published": False,
"category_ids": ["<string>"],
"require_login": True,
"show_non_purchaser": False,
"url_for_non_purchaser": "<string>",
"use_limited_offer": False,
"limited_offers": [
{
"day": 4999,
"hour": 11,
"url": "<string>",
"type": "bundle_enrolled_date",
"bundle_id": "<string>"
}
],
"has_target_persons": False,
"target_persons_date_from": "<string>",
"target_persons_date_to": "<string>",
"course_style": "open_all",
"release_type": "immediately",
"release_day": 4999,
"release_month": 4999,
"release_date": "<string>",
"release_hour": 11,
"action_before_release": "show",
"close_type": "none",
"close_day": 4999,
"close_date": "<string>",
"close_hour": 11,
"cancel_type": "close"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
system_name: '<string>',
type: 'normal',
url: '<string>',
href_type: 'blank',
image_url: '<string>',
button_text: '<string>',
is_hide_progress: false,
is_video_autoplay_setting: true,
comment_setting_type: 'individual',
is_published: false,
category_ids: ['<string>'],
require_login: true,
show_non_purchaser: false,
url_for_non_purchaser: '<string>',
use_limited_offer: false,
limited_offers: [
{
day: 4999,
hour: 11,
url: '<string>',
type: 'bundle_enrolled_date',
bundle_id: '<string>'
}
],
has_target_persons: false,
target_persons_date_from: '<string>',
target_persons_date_to: '<string>',
course_style: 'open_all',
release_type: 'immediately',
release_day: 4999,
release_month: 4999,
release_date: '<string>',
release_hour: 11,
action_before_release: 'show',
close_type: 'none',
close_day: 4999,
close_date: '<string>',
close_hour: 11,
cancel_type: 'close'
})
};
fetch('https://api.utage-system.com/v1/members/{site_id}/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/members/{site_id}/courses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'system_name' => '<string>',
'type' => 'normal',
'url' => '<string>',
'href_type' => 'blank',
'image_url' => '<string>',
'button_text' => '<string>',
'is_hide_progress' => false,
'is_video_autoplay_setting' => true,
'comment_setting_type' => 'individual',
'is_published' => false,
'category_ids' => [
'<string>'
],
'require_login' => true,
'show_non_purchaser' => false,
'url_for_non_purchaser' => '<string>',
'use_limited_offer' => false,
'limited_offers' => [
[
'day' => 4999,
'hour' => 11,
'url' => '<string>',
'type' => 'bundle_enrolled_date',
'bundle_id' => '<string>'
]
],
'has_target_persons' => false,
'target_persons_date_from' => '<string>',
'target_persons_date_to' => '<string>',
'course_style' => 'open_all',
'release_type' => 'immediately',
'release_day' => 4999,
'release_month' => 4999,
'release_date' => '<string>',
'release_hour' => 11,
'action_before_release' => 'show',
'close_type' => 'none',
'close_day' => 4999,
'close_date' => '<string>',
'close_hour' => 11,
'cancel_type' => 'close'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/members/{site_id}/courses"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"system_name\": \"<string>\",\n \"type\": \"normal\",\n \"url\": \"<string>\",\n \"href_type\": \"blank\",\n \"image_url\": \"<string>\",\n \"button_text\": \"<string>\",\n \"is_hide_progress\": false,\n \"is_video_autoplay_setting\": true,\n \"comment_setting_type\": \"individual\",\n \"is_published\": false,\n \"category_ids\": [\n \"<string>\"\n ],\n \"require_login\": true,\n \"show_non_purchaser\": false,\n \"url_for_non_purchaser\": \"<string>\",\n \"use_limited_offer\": false,\n \"limited_offers\": [\n {\n \"day\": 4999,\n \"hour\": 11,\n \"url\": \"<string>\",\n \"type\": \"bundle_enrolled_date\",\n \"bundle_id\": \"<string>\"\n }\n ],\n \"has_target_persons\": false,\n \"target_persons_date_from\": \"<string>\",\n \"target_persons_date_to\": \"<string>\",\n \"course_style\": \"open_all\",\n \"release_type\": \"immediately\",\n \"release_day\": 4999,\n \"release_month\": 4999,\n \"release_date\": \"<string>\",\n \"release_hour\": 11,\n \"action_before_release\": \"show\",\n \"close_type\": \"none\",\n \"close_day\": 4999,\n \"close_date\": \"<string>\",\n \"close_hour\": 11,\n \"cancel_type\": \"close\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.utage-system.com/v1/members/{site_id}/courses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"system_name\": \"<string>\",\n \"type\": \"normal\",\n \"url\": \"<string>\",\n \"href_type\": \"blank\",\n \"image_url\": \"<string>\",\n \"button_text\": \"<string>\",\n \"is_hide_progress\": false,\n \"is_video_autoplay_setting\": true,\n \"comment_setting_type\": \"individual\",\n \"is_published\": false,\n \"category_ids\": [\n \"<string>\"\n ],\n \"require_login\": true,\n \"show_non_purchaser\": false,\n \"url_for_non_purchaser\": \"<string>\",\n \"use_limited_offer\": false,\n \"limited_offers\": [\n {\n \"day\": 4999,\n \"hour\": 11,\n \"url\": \"<string>\",\n \"type\": \"bundle_enrolled_date\",\n \"bundle_id\": \"<string>\"\n }\n ],\n \"has_target_persons\": false,\n \"target_persons_date_from\": \"<string>\",\n \"target_persons_date_to\": \"<string>\",\n \"course_style\": \"open_all\",\n \"release_type\": \"immediately\",\n \"release_day\": 4999,\n \"release_month\": 4999,\n \"release_date\": \"<string>\",\n \"release_hour\": 11,\n \"action_before_release\": \"show\",\n \"close_type\": \"none\",\n \"close_day\": 4999,\n \"close_date\": \"<string>\",\n \"close_hour\": 11,\n \"cancel_type\": \"close\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/members/{site_id}/courses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"system_name\": \"<string>\",\n \"type\": \"normal\",\n \"url\": \"<string>\",\n \"href_type\": \"blank\",\n \"image_url\": \"<string>\",\n \"button_text\": \"<string>\",\n \"is_hide_progress\": false,\n \"is_video_autoplay_setting\": true,\n \"comment_setting_type\": \"individual\",\n \"is_published\": false,\n \"category_ids\": [\n \"<string>\"\n ],\n \"require_login\": true,\n \"show_non_purchaser\": false,\n \"url_for_non_purchaser\": \"<string>\",\n \"use_limited_offer\": false,\n \"limited_offers\": [\n {\n \"day\": 4999,\n \"hour\": 11,\n \"url\": \"<string>\",\n \"type\": \"bundle_enrolled_date\",\n \"bundle_id\": \"<string>\"\n }\n ],\n \"has_target_persons\": false,\n \"target_persons_date_from\": \"<string>\",\n \"target_persons_date_to\": \"<string>\",\n \"course_style\": \"open_all\",\n \"release_type\": \"immediately\",\n \"release_day\": 4999,\n \"release_month\": 4999,\n \"release_date\": \"<string>\",\n \"release_hour\": 11,\n \"action_before_release\": \"show\",\n \"close_type\": \"none\",\n \"close_day\": 4999,\n \"close_date\": \"<string>\",\n \"close_hour\": 11,\n \"cancel_type\": \"close\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"system_name": "<string>",
"type": "normal",
"course_url": "<string>",
"url": "<string>",
"href_type": "<string>",
"image_url": "<string>",
"button_text": "<string>",
"is_hide_progress": true,
"is_video_autoplay_setting": true,
"comment_setting_type": "individual",
"is_published": true,
"category_ids": [
"<string>"
],
"require_login": true,
"show_non_purchaser": true,
"url_for_non_purchaser": "<string>",
"use_limited_offer": true,
"limited_offers": [
{
"type": "bundle_enrolled_date",
"bundle_id": "<string>",
"day": 123,
"hour": 123,
"url": "<string>"
}
],
"has_target_persons": true,
"target_persons_date_from": "<string>",
"target_persons_date_to": "<string>",
"course_style": "open_all",
"release_type": "immediately",
"release_day": 123,
"release_month": 123,
"release_date": "<string>",
"release_hour": 123,
"action_before_release": "show",
"close_type": "none",
"close_day": 123,
"close_date": "<string>",
"close_hour": 123,
"cancel_type": "close",
"course_group_id": "<string>",
"order": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}コース作成
会員サイトにコースを作成します。作成したコースはコース一覧の末尾に未分類(course_group_id が null)で追加されます。コースグループへの振り分けはコース並び替えで行います。レッスングループ「メインレッスン」が自動で作成されます。応答はコース取得と同じ全項目です。
400(bad_request)になる場合:
- 契約内容によるコースの件数上限に達している
typeにnormal/url以外を指定したrelease_type/close_type/limited_offers[].typeにreader_dateを指定したが、会員サイトのlogin_typeがoptional/noneではない
422(validation_error)の details には項目ごとのエラーが入ります。条件付き必須(type が url のときの url、show_non_purchaser が true のときの url_for_non_purchaser、use_limited_offer と limited_offers の整合、has_target_persons が true のときの登録日、release_type / close_type ごとの日数・月数・日付・時刻)と、同じ会員サイトに無いカテゴリ(category_ids.{index})・バンドル(limited_offers.{index}.bundle_id)の指定を含みます。
curl --request POST \
--url https://api.utage-system.com/v1/members/{site_id}/courses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"system_name": "<string>",
"type": "normal",
"url": "<string>",
"href_type": "blank",
"image_url": "<string>",
"button_text": "<string>",
"is_hide_progress": false,
"is_video_autoplay_setting": true,
"comment_setting_type": "individual",
"is_published": false,
"category_ids": [
"<string>"
],
"require_login": true,
"show_non_purchaser": false,
"url_for_non_purchaser": "<string>",
"use_limited_offer": false,
"limited_offers": [
{
"day": 4999,
"hour": 11,
"url": "<string>",
"type": "bundle_enrolled_date",
"bundle_id": "<string>"
}
],
"has_target_persons": false,
"target_persons_date_from": "<string>",
"target_persons_date_to": "<string>",
"course_style": "open_all",
"release_type": "immediately",
"release_day": 4999,
"release_month": 4999,
"release_date": "<string>",
"release_hour": 11,
"action_before_release": "show",
"close_type": "none",
"close_day": 4999,
"close_date": "<string>",
"close_hour": 11,
"cancel_type": "close"
}
'import requests
url = "https://api.utage-system.com/v1/members/{site_id}/courses"
payload = {
"name": "<string>",
"system_name": "<string>",
"type": "normal",
"url": "<string>",
"href_type": "blank",
"image_url": "<string>",
"button_text": "<string>",
"is_hide_progress": False,
"is_video_autoplay_setting": True,
"comment_setting_type": "individual",
"is_published": False,
"category_ids": ["<string>"],
"require_login": True,
"show_non_purchaser": False,
"url_for_non_purchaser": "<string>",
"use_limited_offer": False,
"limited_offers": [
{
"day": 4999,
"hour": 11,
"url": "<string>",
"type": "bundle_enrolled_date",
"bundle_id": "<string>"
}
],
"has_target_persons": False,
"target_persons_date_from": "<string>",
"target_persons_date_to": "<string>",
"course_style": "open_all",
"release_type": "immediately",
"release_day": 4999,
"release_month": 4999,
"release_date": "<string>",
"release_hour": 11,
"action_before_release": "show",
"close_type": "none",
"close_day": 4999,
"close_date": "<string>",
"close_hour": 11,
"cancel_type": "close"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
system_name: '<string>',
type: 'normal',
url: '<string>',
href_type: 'blank',
image_url: '<string>',
button_text: '<string>',
is_hide_progress: false,
is_video_autoplay_setting: true,
comment_setting_type: 'individual',
is_published: false,
category_ids: ['<string>'],
require_login: true,
show_non_purchaser: false,
url_for_non_purchaser: '<string>',
use_limited_offer: false,
limited_offers: [
{
day: 4999,
hour: 11,
url: '<string>',
type: 'bundle_enrolled_date',
bundle_id: '<string>'
}
],
has_target_persons: false,
target_persons_date_from: '<string>',
target_persons_date_to: '<string>',
course_style: 'open_all',
release_type: 'immediately',
release_day: 4999,
release_month: 4999,
release_date: '<string>',
release_hour: 11,
action_before_release: 'show',
close_type: 'none',
close_day: 4999,
close_date: '<string>',
close_hour: 11,
cancel_type: 'close'
})
};
fetch('https://api.utage-system.com/v1/members/{site_id}/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/members/{site_id}/courses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'system_name' => '<string>',
'type' => 'normal',
'url' => '<string>',
'href_type' => 'blank',
'image_url' => '<string>',
'button_text' => '<string>',
'is_hide_progress' => false,
'is_video_autoplay_setting' => true,
'comment_setting_type' => 'individual',
'is_published' => false,
'category_ids' => [
'<string>'
],
'require_login' => true,
'show_non_purchaser' => false,
'url_for_non_purchaser' => '<string>',
'use_limited_offer' => false,
'limited_offers' => [
[
'day' => 4999,
'hour' => 11,
'url' => '<string>',
'type' => 'bundle_enrolled_date',
'bundle_id' => '<string>'
]
],
'has_target_persons' => false,
'target_persons_date_from' => '<string>',
'target_persons_date_to' => '<string>',
'course_style' => 'open_all',
'release_type' => 'immediately',
'release_day' => 4999,
'release_month' => 4999,
'release_date' => '<string>',
'release_hour' => 11,
'action_before_release' => 'show',
'close_type' => 'none',
'close_day' => 4999,
'close_date' => '<string>',
'close_hour' => 11,
'cancel_type' => 'close'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/members/{site_id}/courses"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"system_name\": \"<string>\",\n \"type\": \"normal\",\n \"url\": \"<string>\",\n \"href_type\": \"blank\",\n \"image_url\": \"<string>\",\n \"button_text\": \"<string>\",\n \"is_hide_progress\": false,\n \"is_video_autoplay_setting\": true,\n \"comment_setting_type\": \"individual\",\n \"is_published\": false,\n \"category_ids\": [\n \"<string>\"\n ],\n \"require_login\": true,\n \"show_non_purchaser\": false,\n \"url_for_non_purchaser\": \"<string>\",\n \"use_limited_offer\": false,\n \"limited_offers\": [\n {\n \"day\": 4999,\n \"hour\": 11,\n \"url\": \"<string>\",\n \"type\": \"bundle_enrolled_date\",\n \"bundle_id\": \"<string>\"\n }\n ],\n \"has_target_persons\": false,\n \"target_persons_date_from\": \"<string>\",\n \"target_persons_date_to\": \"<string>\",\n \"course_style\": \"open_all\",\n \"release_type\": \"immediately\",\n \"release_day\": 4999,\n \"release_month\": 4999,\n \"release_date\": \"<string>\",\n \"release_hour\": 11,\n \"action_before_release\": \"show\",\n \"close_type\": \"none\",\n \"close_day\": 4999,\n \"close_date\": \"<string>\",\n \"close_hour\": 11,\n \"cancel_type\": \"close\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.utage-system.com/v1/members/{site_id}/courses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"system_name\": \"<string>\",\n \"type\": \"normal\",\n \"url\": \"<string>\",\n \"href_type\": \"blank\",\n \"image_url\": \"<string>\",\n \"button_text\": \"<string>\",\n \"is_hide_progress\": false,\n \"is_video_autoplay_setting\": true,\n \"comment_setting_type\": \"individual\",\n \"is_published\": false,\n \"category_ids\": [\n \"<string>\"\n ],\n \"require_login\": true,\n \"show_non_purchaser\": false,\n \"url_for_non_purchaser\": \"<string>\",\n \"use_limited_offer\": false,\n \"limited_offers\": [\n {\n \"day\": 4999,\n \"hour\": 11,\n \"url\": \"<string>\",\n \"type\": \"bundle_enrolled_date\",\n \"bundle_id\": \"<string>\"\n }\n ],\n \"has_target_persons\": false,\n \"target_persons_date_from\": \"<string>\",\n \"target_persons_date_to\": \"<string>\",\n \"course_style\": \"open_all\",\n \"release_type\": \"immediately\",\n \"release_day\": 4999,\n \"release_month\": 4999,\n \"release_date\": \"<string>\",\n \"release_hour\": 11,\n \"action_before_release\": \"show\",\n \"close_type\": \"none\",\n \"close_day\": 4999,\n \"close_date\": \"<string>\",\n \"close_hour\": 11,\n \"cancel_type\": \"close\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/members/{site_id}/courses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"system_name\": \"<string>\",\n \"type\": \"normal\",\n \"url\": \"<string>\",\n \"href_type\": \"blank\",\n \"image_url\": \"<string>\",\n \"button_text\": \"<string>\",\n \"is_hide_progress\": false,\n \"is_video_autoplay_setting\": true,\n \"comment_setting_type\": \"individual\",\n \"is_published\": false,\n \"category_ids\": [\n \"<string>\"\n ],\n \"require_login\": true,\n \"show_non_purchaser\": false,\n \"url_for_non_purchaser\": \"<string>\",\n \"use_limited_offer\": false,\n \"limited_offers\": [\n {\n \"day\": 4999,\n \"hour\": 11,\n \"url\": \"<string>\",\n \"type\": \"bundle_enrolled_date\",\n \"bundle_id\": \"<string>\"\n }\n ],\n \"has_target_persons\": false,\n \"target_persons_date_from\": \"<string>\",\n \"target_persons_date_to\": \"<string>\",\n \"course_style\": \"open_all\",\n \"release_type\": \"immediately\",\n \"release_day\": 4999,\n \"release_month\": 4999,\n \"release_date\": \"<string>\",\n \"release_hour\": 11,\n \"action_before_release\": \"show\",\n \"close_type\": \"none\",\n \"close_day\": 4999,\n \"close_date\": \"<string>\",\n \"close_hour\": 11,\n \"cancel_type\": \"close\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"system_name": "<string>",
"type": "normal",
"course_url": "<string>",
"url": "<string>",
"href_type": "<string>",
"image_url": "<string>",
"button_text": "<string>",
"is_hide_progress": true,
"is_video_autoplay_setting": true,
"comment_setting_type": "individual",
"is_published": true,
"category_ids": [
"<string>"
],
"require_login": true,
"show_non_purchaser": true,
"url_for_non_purchaser": "<string>",
"use_limited_offer": true,
"limited_offers": [
{
"type": "bundle_enrolled_date",
"bundle_id": "<string>",
"day": 123,
"hour": 123,
"url": "<string>"
}
],
"has_target_persons": true,
"target_persons_date_from": "<string>",
"target_persons_date_to": "<string>",
"course_style": "open_all",
"release_type": "immediately",
"release_day": 123,
"release_month": 123,
"release_date": "<string>",
"release_hour": 123,
"action_before_release": "show",
"close_type": "none",
"close_day": 123,
"close_date": "<string>",
"close_hour": 123,
"cancel_type": "close",
"course_group_id": "<string>",
"order": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}POST
https://api.utage-system.com/v1/members/{site_id}/courses
Body
コースの作成内容。省略できる項目に null を指定した場合は、省略したときと同じ扱い(既定値)になります
開放日(開始日)。immediately: コースへ登録後すぐに開放 / scheduled: コースへ登録後、指定した日数経過後に開放 / scheduled_month: コースへ登録後、指定した月数経過後に開放 / datetime: 指定した日時に開放 / reader_date: アクセス元シナリオの配信基準日時から指定した日数経過後に開放(会員サイトの login_type が optional または none のときのみ。それ以外は 400 bad_request)
immediately, scheduled, scheduled_month, datetime, reader_date